/*
   Project: Adun

   Copyright (C) 2005 Michael Johnston & Jordi Villa-Freixa

   Author: Michael Johnston

   Created: 2005-06-23 11:06:55 +0200 by michael johnston

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#ifndef _REMOTEPROCESSACCESS_
#define _REMOTEPROCESSACCESS_

/**
To be deprecated
The need to transmit this data will be obsolete when AdDataSource is
used for System storage instead of ULSystem. When this is implemented
we can just copy the AdDataSource instance straight across.
*/

@protocol RemoteSystemAccess <NSObject>

- (bycopy NSArray*) transmitMatrixRowsForPath: (NSString*) matrixPath;
- (bycopy NSArray*) transmitMatrixRowsForConfiguration;
- (bycopy NSMutableArray*) transmitAtomTypes;
- (bycopy NSMutableArray*) transmitMasses;
- (bycopy NSMutableArray*) transmitPartialCharges;
- (bycopy id) transmitNonbondedInteractions;

@end

#endif
